Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class WidgetDescriptor

    java.lang.Object
      edu.stanford.smi.protege.model.WidgetDescriptor

All Implemented Interfaces:
  Cloneable

    public class WidgetDescriptor

extends Object
implements Cloneable

Essentially a serialization of a widget. Objects of this class contain location and size information and other configuration information for a widget. Actual widgets (the things on the screen) can be created from these objects.

Author:
  Ray Fergerson

Method Summary
`Object` | `clone()`
`static WidgetDescriptor` | `create(Instance instance)`
`static WidgetDescriptor` | `create(KnowledgeBase projectKB)`
`boolean` | `equals(Object o)`
`Rectangle` | `getBounds()`
`Instance` | `getInstance()`
`String` | `getLabel()`
`Point` | `getLocation()`
`String` | `getName()`
`PropertyList` | `getPropertyList()`
`String` | `getWidgetClassName()`
`int` | `hashCode()`
`static boolean` | `isActiveWidget(Instance instance)`
`boolean` | `isDirectlyCustomizedByUser()`
`boolean` | `isIncluded()`
`boolean` | `isNull()`
`boolean` | `isTemporary()`
`boolean` | `isVisible()`
`void` | `setBounds(Rectangle r)`
`void` | `setDirectlyCustomizedByUser(boolean b)`
`void` | `setIncluded(boolean b)`
`void` | `setLabel(String label)`
`void` | `setName(String name)`
`void` | `setPropertyList(PropertyList list)`
`void` | `setTemporary(boolean b)`
`void` | `setVisible(boolean b)`
`void` | `setWidgetClassName(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### isActiveWidget

    public static boolean isActiveWidget(Instance instance)

### create

    public static WidgetDescriptor create(Instance instance)

### create

    public static WidgetDescriptor create(KnowledgeBase projectKB)

### getBounds

    public Rectangle getBounds()

### getInstance

    public Instance getInstance()

### getLabel

    public String getLabel()

### getLocation

    public Point getLocation()

### getName

    public String getName()

### getPropertyList

    public PropertyList getPropertyList()

### getWidgetClassName

    public String getWidgetClassName()

### isDirectlyCustomizedByUser

    public boolean isDirectlyCustomizedByUser()

### isIncluded

    public boolean isIncluded()

### isNull

    public boolean isNull()

### isTemporary

    public boolean isTemporary()

### isVisible

    public boolean isVisible()

### setBounds

    public void setBounds(Rectangle r)

### setDirectlyCustomizedByUser

    public void setDirectlyCustomizedByUser(boolean b)

### setIncluded

    public void setIncluded(boolean b)

### setLabel

    public void setLabel(String label)

### setName

    public void setName(String name)

### setPropertyList

    public void setPropertyList(PropertyList list)

### setTemporary

    public void setTemporary(boolean b)

### setVisible

    public void setVisible(boolean b)

### setWidgetClassName

    public void setWidgetClassName(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.